module.exports = {
    env: {
        node: true,
        commonjs: true,
    },
    parser: '@typescript-eslint/parser',
    extends: ['plugin:@typescript-eslint/recommended', 'plugin:prettier/recommended'],
    parserOptions: {
        ecmaVersion: 2018,
        sourceType: 'module',
    },
    rules: {
        'prettier/prettier': [
            'error',
            {
                endOfLine: 'auto',
            },
        ],
        camelcase: 'off',
        'linebreak-style': ['error', 'unix'],
        'comma-spacing': [
            'error',
            {
                before: false,
                after: true,
            },
        ],
        'no-multi-spaces': 2,
        'no-trailing-spaces': 2,
        quotes: [
            'error',
            'single',
            {
                allowTemplateLiterals: true,
            },
        ],
        'one-var': ['error', 'never'],
        'no-unreachable': 'error',
        'no-unused-vars': [
            'error',
            {
                argsIgnorePattern: '^_',
            },
        ],
        '@typescript-eslint/no-unused-vars': [
            'error',
            {
                argsIgnorePattern: '^_',
            },
        ],
        // 'no-console': 'error',
    },
};
